
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>互联网上的单点登录研究 / iVAN</title>

    <meta name="description" content="互联网上的单点登录研究 随着互联网络应用的普及,越来越多的人开始使用互联网上提供的服务.然而目前提供服务的网站大多采用用户名.口令的方式来识别用户身份,这使得用户 需要经常性的输入自己的用户名.口令.显然这种认证方式存在着弊端:随着用户网络身份的增多,用户相应的需要记忆多组用户名.口令,这给用户造成记忆上的 负担;另外频繁的输入用户名.口令,会相应的增大用户的口令密码被破解的机率.为了改变这一现状,单点登录技术应运而生.单点登录技术的核心思想是通过一 定的方式使得各提供服务的网站之间建立某种联系,用户只需要在其中一个认">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">互联网上的单点登录研究</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　随着互联网络应用的普及，越来越多的人开始使用互联网上提供的服务。然而目前提供服务的网站大多采用用户名、口令的方式来识别用户身份，这使得用户  需要经常性的输入自己的用户名、口令。显然这种认证方式存在着弊端：随着用户网络身份的增多，用户相应的需要记忆多组用户名、口令，这给用户造成记忆上的  负担;另外频繁的输入用户名、口令，会相应的增大用户的口令密码被破解的机率。为了改变这一现状，单点登录技术应运而生。单点登录技术的核心思想是通过一  定的方式使得各提供服务的网站之间建立某种联系，用户只需要在其中一个认证网站进行登录后，即可实现全局登录，当用户再访问其他网站时，不需要再次登录，  其身份就可以被验证。我们可以看到采用单点登录技术后，用户只需要记忆一组用户名、口令，并且在登录多个网站时只需要输入一次用户名、口令，这就使得用户  可以更加安全快捷的使用互联网上的各种服务。</p>
<p>　　单点登录的一般模型</p>
<p>　　在单点登录的一般模型中，一般由三部分构成：(1)用户 (2)身份提供者 (3)服务提供者。如图1所示。</p>
<p>　　用户是指通过浏览器来使用单点登录服务的个体。身份提供者在单点登录中提供对个体的身份验证服务，相当于一个权威机构。服务提供者是指具体为用户提  供某种服务的机构。用户在身份提供者那里注册身份，当用户进行单点登录时，需要在身份提供者处登录，进行身份验证，由身份提供者为用户标记登录信息。通常  把用户在身份提供者处进行的登录称作全局登录。用户在全局登录后，当访问其它的服务提供者时，被访问的服务提供者首先直接与身份提供者进行交互，来询问该  用户是否已全局登录，如果确定该用户已全局登录，则允许该用户来访问自己提供的服务，否则将该用户重定向到身份提供者处，进行全局登录。</p>
<p>　　在具体的单点登录实现中，身份提供者和服务提供者进行交互的方式不尽相同。如微软的Passport单点登录采用的是在重定向信息中包含加密后的验  证信息来进行交互，而自由联盟的单点登录规范是采用安全声明标记语言(SAML)来进行交互的。下面本文就通过介绍当前这两个主流的单点登录协议：微软  Passport单点登录协议和自由联盟规范来进一步阐述单点登录技术。</p>
<p>　　一、微软Passport单点登录协议</p>
<p>　　1.1 微软Passport服务</p>
<p>　　提及微软Passport单点登录协议，我们自然要先介绍的是微软Passport服务。在微软的www.passport.com站点上我们可以  看到微软Passport的使用条款和通告。微软Passport 是由微软公司运行的一种Web  服务，该服务会使用户登录到网站以及执行电子商务交易的过程变得更加简便。微软的Passport服务是.Net战略的一部分，通过一次登录就可以使用户  获得访问很多网站的权限。微软宣称Passport的目的是使会员在使用互联网和在线购物时更方便、快捷和安全，它得到了包括1-800-  Flowers、CostCo、OfficeMax和Victoria  Secret在内的诸多著名在线商店的支持。微软Passport服务从本质上来说是一种由微软控制的中央统筹式的单一登录服务。微软旗下的  Hotmail、Messenger与ISP服务(MSN)都有加入此机制，目前约有2亿个使用账户。</p>
<p>　　1.2 微软Passport单点登录协议</p>
<p>　　在微软Passport服务模式中，有三个主体：(1)使用web浏览器的用户(假设该用户已经注册了Passport服务)，(2)服务提供者  (对用户提供某种服务的网站)，(3)Passport登录服务器。Passport登录服务器保存着用户的认证信息以及用户的个人信息，服务提供者在得  到用户允许的前提下可以到Passport登录服务器上获取用户个人信息。</p>
<p>　　微软Passport单点登录协议流程如下[1]：当一个用户通过浏览器访问一个服务提供者网站时，如果该网站需要验证用户的身份，就把该用户的浏  览器重定向到Passport登录服务器。下一步Passport登录服务器通过SSL连接为用户提供一个登录页面，在用户登入该服务器后，被重定向回服  务提供者网站。此时认证信息被包含在重定向消息中。该认证信息使用三重DES加密算法加密，加密密钥是由Passport登录服务器和服务提供者网站事先  协商好的。在服务提供者网站检验了认证信息的真实性后，即可认为该用户成功登录。具体流程图可参考图2所示。</p>
<p>　　微软Passport单点登录协议采用了Kerberos认证机制来完成身份认证工作。Kerberos是一种为网络通信提供可信第三方服务的面向  开放系统的认证机制。在Kerberos认证机制中，每当用户(client)申请得到某服务程序(server)的服务时，用户和服务程序会首先向  Kerberos要求认证对方的身份，认证建立在用户(client)和服务程序(server)对Kerberos的信任的基础上。在申请认证  时,client和server都可看成是Kerberos认证服务的用户，为了和其它服务的用户区别,Kerberos用户统称为  principle，principle既可以是用户也可以是某项服务。当用户登录到工作站时,Kerberos对用户进行初始认证，通过认证的用户可以  在整个登录时间得到相应的服务。Kerberos既不依赖用户登录的终端，也不依赖用户所请求的服务的安全机制，它本身提供了认证服务器来完成用户的认证  工作[7]。简单地说，Kerberos通过集中存储的安全信息和分布式的“tickets”来实现用户身份认证。具体而言，微软Passport服务通  过如下步骤实现用户身份验证：</p>
<p>　　用户开启客户端应用程序或浏览器，打开登录界面，并输入用户名、口令。</p>
<p>　　登录动作引发客户端应用程序或网站向微软Passport请求一个登录确认证明(即“ticket-granting-ticket”，TGT)。</p>
<p>　　微软Passport验证用户用户名、口令，颁发TGT，确认登录已经成功。在满足一定安全约束条款的前提下，该TGT在一定时期内被缓存。</p>
<p>　　客户端应用程序或网站向微软Passport提交TGT，同时请求颁发一个“会话证明”。</p>
<p>　　微软Passport使用TGT来验证客户端的身份是否有效，确认后向相应的Web Service颁发“会话证明”。</p>
<p>　　客户端向所请求的Web Service提交会话证明，经确认后，客户端开始同Web  Service进行信息交换，所有数据都经由该“会话证明”加密从而确保安全。</p>
<p>　　1.3 微软Passport小结</p>
<p>　　虽然微软Passport已经提供了多年的服务，但是其安全性一直为人们所置疑。首先，其中央统筹的模式是最为大众所质疑的。因为核心的验证服务器  以及用户个人信息服务器都是微软一手控制的，再加上其技术细节并不对外公开，而且没有依据某一标准，致使人们一直担忧用户的个人资料被泄漏。其次，微软的  Passport系统曾被个人或黑客多次入侵。这些都限制了微软Passport服务的进一步推广。</p>
<p>　　二、自由联盟规范</p>
<p>　　4.1 自由联盟(Liberty Alliance)</p>
<p>　　自由联盟是一个联盟机构的名称，该联盟的宗旨是创建一个经由与Internet相连的任何器件都能实现的具有开放性的、联合的、单一签字身份识别的  解决方案，该机构的目标是为实现利用因特网进行交易时随时随地的单点登录认证，并且进行有关标准的制订。所有商业机构和非商业机构都可取得该机构的成员身  份。加盟该机构的创始企业中有服务提供、汽车制造、金融服务、旅行业、数字媒体、零售业、电信及技术相关业界的著名企业。目前自由联盟由170多家厂商组  合，包括Sun、Nokia、American  Express等，他们负责提供技术规范与商业指南来当作跨企业的身份认证服务。Liberty本身并不产生应用，这方面是由技术厂商(如Sun、  Novell、Peoplesoft与HP等)来开发支持Liberty标准的兼容应用。自由联盟规范可让不同的服务供应商加入一个联邦式的信赖网络中 [6]。</p>
<p>　　自由联盟的主要目标有如下三个方面：</p>
<p>　　使个人消费者和企业用户能够安全保管个人信息。基此，推进无信息垄断的、可以相互运用并跨越多个网络的服务。</p>
<p>　　制订实现“单点登录”的开放标准。基此，使用户在任何1个WWW站点通过认证后，不必接受其它站点认证就可以使用其服务。</p>
<p>　　制订所有接入因特网的设备都可以使用的网络认证开放标准。基此使手机、车载设备和信用卡等各种各样的终端间都能进行安全的认证。</p>
<p>　　4.2 自由联盟规范</p>
<p>　　自由联盟于美国当地时间2003年3月11日公布了单点登录架构“Liberty Alliance Federated Network Identity  Architecture”的概要及其发展蓝图。自由联盟声称利用该架构能够解决众多阻碍Web认证服务的技术性障碍。</p>
<p>　　自由联盟分两个阶段公布支持该架构的规范――自由联盟规范。在第一阶段，自由联盟于2002年7月公布了作为联盟用户管理基础的规格集 “Liberty  Alliance Identity Federation  Framework(ID-FF，自由联盟统一联合框架)”，并于2003年1月进行了修订。ID-FF支持将已经具有关系的多用户信息进行联合或链接，  使用户一次登录即可享受多家企业提供的服务。在第二阶段，自由联盟在2003年内强化ID-FF，并发表了“Identity Web Services  Framework(ID-WSF，统一Web服务框架)”。ID-WSF公布了构筑基于相互认证的Web服务所需关键技术的概要。自由联盟认为这种  Web服务符合特定的工作目的，在共享用户信息方面，保护个人隐私和系统安全。另外，自由联盟还将提供基于ID-WSF的规格集“Liberty Alliance  Identity Services Interface  Specifications(ID-SIS，自由联盟统一服务接口规范)”。这样，企业就可以使用标准方法提供特征登记/联系地址/日历/位置信息和报  警服务等[3]。</p>
<p>　　4.3 自由联盟具体协议</p>
<p>　　在自由联盟规范中定义了四个具体的协议[2]：</p>
<p>　　单点登录以及身份联合</p>
<p>　　名字注册</p>
<p>　　身份联合终止声明</p>
<p>　　单点退出</p>
<p>　　与微软Passport相同，自由联盟具体协议也具有三个主体，它们分别是：</p>
<p>　　主体(Principals)，(类同微软Passport中的用户)</p>
<p>　　服务提供者(Service Providers)</p>
<p>　　身份提供者(Identity Providers)</p>
<p>　　其中服务提供者类同于微软Passport中的服务提供者，均是指为用户提供某种服务的网站。自由联盟中的身份提供者是一种特殊的服务提供者，它为  其他的主体提供身份认证、主体信息访问控制等服务，虽然它的作用等同于微软Passport中的Passport登录服务器，但不同之处在于自由联盟中的  身份提供者并不是唯一的，而可以是多个且相互独立存在的，这点是与微软Passport的中央统筹式的单一登录服务有着根本区别的。</p>
<p>　　下面我们进一步讨论一下自由联盟具体协议中的单点登录以及身份联合。单点登录以及身份联合是自由联盟具体协议中最复杂的协议。该协议在很大程度上依  赖于安全声明标记语言(SAML)。首先让我们了解一下SAML。SAML并不是一项新技术。确切地说，它是一种语言，进行单一的XML描述，允许不同安  全系统产生的信息进行交换。SAML在标准行业传输协议环境里工作，例如HTTP、SMTP和FTP;同时也服务于各种各样的XML文件交换框架，  如：SOAP和BizTalk。SAML具备的一个最突出的好处，是使用户能够通过因特网进行安全证书移动。SAML的工作原理如下[5]：</p>
<p>　　用户向认证机构提交证书。</p>
<p>　　认证机构对用户的证书进行断言，并且产生一个认证声明以及一个或更多的属性声明(如用户的资料信息)。此时用户立即就会得到由SAML断言的认证和识别标志。</p>
<p>　　用户使用这个SAML标志(认证声明)尝试访问一个受保护的资源。</p>
<p>　　用户对保护资源的访问请求被PEP(Policy Enforcement  Point)截取，同时用户的SAML标志(认证声明)被PEP提交给属性管理。</p>
<p>　　属性管理或PDP(Policy Decision  Point)基于自身的政策标准产生一个决定。如果批准用户对该保护资源进行访问，就会产生一个附加在SAML标志(认证声明)上的属性声明。用户的  SAML标志(认证声明)就能够以单点登录方式呈现给信任的商业伙伴。</p>
<p>　　下面简单介绍一下自由联盟单点登录协议的流程，其流程同微软Passport单点登录协议流程大致相同，不同之处是：在自由联盟中身份提供者并不是通过重定向消息来将认证消息传递给服务提供者的，而是通过SAML与服务提供者交互来完成的。具体流程可参考图3。</p>
<p>　　4.4 自由联盟规范小结</p>
<p>　　与微软Passport不同，自由联盟规范依据了OASIS产业标准，它不是中央统筹式的单一登录模式，而是一种相对公允的模式，在其信任圈中可以  存在多个独立的身份提供者。但目前自由联盟规范仍处于研究阶段，并且其本身的高复杂性导致目前还没有像微软Passport服务那样有成型的应用服务。</p>
<p>　　以个人域名作为身份标识的单点登录系统</p>
<p>　　下面介绍的是笔者接合对微软Passport以及自由联盟单点登录协议的研究，设计开发的一个以个人域名作为身份标识的单点登录系统。该系统开发环境为：操作系统Linux  9 、脚本语言PHP5、数据库mysql 。</p>
<p>　　本系统由三部分组成：(a)IDP服务器(个人域名认证服务器) (b)SP1服务器(服务提供者1)  (c)SP2服务器(服务提供者2)。其中IDP相当于Passport中的登录服务器，作用是验证用户身份，SP1、SP2为模拟的两个服务提供者。</p>
<p>　　从上文中我们可以了解到，微软Passport以及自由联盟为确保其单点登录系统中登录账户的唯一性、可信性，都设置了专门的身份认证服务器。而在  笔者设计的单点登录系统中直接采用个人域名来作为身份标识，即通过个人域名认证服务器来确保登录账户的唯一性、可信性。众所周知，域名类似于互联网上的门  牌号码，是用于识别和定位互联网上计算机的层次结构式字符标识，与该计算机的互联网协议(IP)地址相对应。同样，面向个人开放的个人域名好比是互联网上  的身份证，也具有唯一性、权威性的特征。因而将个人域名作为单点登录系统中的登录账户，不仅能够确保单点登录系统中身份的可信性，还能减少单点登录系统的  开发成本，从而有利于单点登录系统的推广。</p>
<p>　　本系统单点登录流程如下：用户在IDP可以注册个人域名作为登录账户，用作单点登录时的口令。用户在IDP可以直接进行全局登录，在SP1、SP2  也可通过超链接到IDP的登录页面进行全局登录。在用户全局登录后，IDP在用户浏览器中设置cookie，cookie中存入已加密的信息，该信息用于  表明用户已全局登录。全局登录后，当用户访问某一SP时，该SP自动将浏览器重定向到IDP，询问IDP该用户是否已全局登录，此时IDP检查用户浏览器  中的cookie来判断用户是否已登录，然后IDP将用户浏览器重定向回SP，并在重定向信息中包含验证信息，SP通过读取验证信息来判断该用户是否已全  局登录。如果判断通过，则允许该用户访问其服务;如果判断没有通过，则SP将用户指向SP登录界面。另外，在IDP、SP1、SP2都提供全局退出功能，  用户执行全局退出操作时，IDP将清除用户浏览器中的cookie。</p>
<p>　　IDP与各SP采用相同的对称加密算法、加密密钥来加密验证信息。另外，为了避免SP遭受重放攻击，每次SP同IDP交互前，SP均产生一个随机  数，并将该随机数加密，然后包含在重定向到IDP的重定向信息中。IDP通过解密获得该随机数，并将其包含在验证信息中一起加密，然后将该加密信息包含在  重定向到SP的重定向信息中。SP解密后，首先要判断其中的随机数是否是自己刚才产生的，如果不是则认为该重定向信息为重放攻击，不予处理。</p>
<p>　　具体流程图请参看图4、图5。</p>
<p>　　本系统基本实现了单点登录的功能，IDP与SP之间验证信息的传递方式与微软Passport类似，采用加密传输的方法;本系统功能比较单一，主要  实现了单点登录功能，对于身份联合、用户个人信息访问控制等功能并未实现。本系统基本上是安全的，用户登录提交均采用https方式，并且在IDP与SP  交互时，也利用了SP产生的随机数来避免了遭受重放攻击。本系统的缺点是对于cookie的加密保护不够完善，IDP与SP交互信息也只是使用简单的对称  加密算法加密，而且加密函数、密钥均需要双方事先协商好。因此本系统并不适用于实际应用。</p>
<p>　　结束语</p>
<p>　　随着互联网络的飞速发展，各种提供网络服务的网站也如雨后春笋般纷纷涌现，因此人们对于单点登录的需求也会越来越强烈。然而究竟单点登录是否可行?  本文通过分析当前两个最主流的单点登录协议：技术细节不公开的微软Passport单点登录协议，以及仍处于研究阶段的自由联盟(Liberty  Alliance)规范，并结合笔者实现的以个人域名作为身份标识的单点登录系统，得出以下结论：单点登录在技术上是完全可行的，只要确保单点登录系统的  安全性，以及认证服务器的公正权威性，单点登录技术一定会被人们广泛接受，进而在互联网络应用中为人们提供一个更加便利的环境。</p>
<p>　　来源：草根网(www.20ju.com) - 互联网界的读者文摘</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 05:48:33</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1/" title="服务">服务</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e5%be%ae%e8%bd%af/" title="微软">微软</a>, <a href="https://www.iamivan.net/tag/%e7%99%bb%e5%bd%95/" title="登录">登录</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e7%82%b9%e7%99%bb%e5%bd%95/" title="单点登录">单点登录</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e7%82%b9/" title="单点">单点</a>, <a href="https://www.iamivan.net/tag/shibboleth-idp/" title="shibboleth idp">shibboleth idp</a>, <a href="https://www.iamivan.net/tag/%e5%ae%a2%e6%88%b7%e7%ab%af%e5%8d%95%e7%82%b9%e7%99%bb%e5%bd%95/" title="客户端单点登录">客户端单点登录</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e7%82%b9%e7%99%bb%e5%bd%95%e9%aa%8c%e8%af%81/" title="单点登录验证">单点登录验证</a>, <a href="https://www.iamivan.net/tag/exchange-%e5%8d%95%e7%82%b9%e7%99%bb%e5%bd%95/" title="exchange 单点登录">exchange 单点登录</a>, <a href="https://www.iamivan.net/tag/passport/" title="Passport">Passport</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e7%82%b9%e7%99%bb%e5%bd%95-%e5%9f%9f%e5%90%8d/" title="单点登录 域名">单点登录 域名</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e7%82%b9%e7%99%bb%e5%bd%95%e6%a1%86%e6%9e%b6/" title="单点登录框架">单点登录框架</a>, <a href="https://www.iamivan.net/tag/%e7%94%b3%e8%af%b7%e8%8b%b9%e6%9e%9cidp/" title="申请苹果idp">申请苹果idp</a>, <a href="https://www.iamivan.net/tag/cascas%e5%8d%95%e7%82%b9%e7%99%bb%e5%bd%95/" title="cascas单点登录">cascas单点登录</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>互联网上的单点登录研究的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGeenM.html" rel="bookmark">单点登录技术&colon;微软Passport单点登录协议和自由联盟规范</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章描述:互联网上的单点登录研究. 随着互联网络应用的普及,越来越多的人开始使用互联网上提供的服务.然而目前提供服务的网站大多采用用户名.口令的方式来识别用户身份,这使得用户需要经常性的输入自己的用户名.口令.显然这种认证方式存在着弊端:随着用户网络身份的增多,用户相应的需要记忆多组用户名.口令,这给用户造成记忆上的负担:另外频繁的输入用户名.口令,会相应的增大用户的口令密码被破解的机率.为了改变这一现状,单点登录技术应运而生. 单点登录技术的核心思想是通过一定的方式使得各提供服务的网站之间建立			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO2aD8p.html" rel="bookmark">&OpenCurlyDoubleQuote;&period;NET研究&rdquo;SharePoint 2010中的单点登录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在SharePoint 2007时代我们可以通过Microsoft Single Sign-on Service来实现单点登录,但到了SharePoint 2010中不再有Single Sign-on这个服务了,取而代之的则是Secure Store Service简称SSS.与以前的SSO一样,SSS也提供了一个数据库实例来保存用于访问某些外部应用程序或外部数据源的用户凭据信息,所不同的是我们不仅可以使用SSS中保存的凭据信息来实现单点登录,同时BDC.Excel Service等服务应用程序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPWZ8M.html" rel="bookmark">CAS解决单点登录SSO</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于CAS很多的原理和基础的配置启动,网上是很多的,我更多是结合我的实践和心得.需要了解CAS的原理,认证协议,认证流程,可以参考以下文章. 让CAS支持客户端自定义登陆页面--客户端篇 CAS原理与配置-基于CAS的单点登陆的研究(上) 服务端配置 CAS单点登陆部署 CAS配置手册 CAS单点登录配置 背景 单点登录(SSO)是企业开发的重要问题,在我的毕设项目中,由于要和系统其他开发模块共用用户认证模块,方便共享用户资源,所以需要一个好的SSO解决方案. 一般SSO的实现机制有两种:基于s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQLOWz.html" rel="bookmark">实战ASP&lpar;7&rpar;&colon;使用ASP、VB和XML建立运行于互联网上的应用程序&lpar;上&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|程序|互联网|xml|互联网 使用ASP.VB和XML建立运行于互联网上的应用程序(1)     在个人电脑上使用单机版应用软件的时代很快就要过去了,现在大部分的应用程序都开发出网络版或大都需要共享网络上丰富的数据资源.我们虽然写了很长时间基于客户端/服务器的应用程序,但是这些程序大部分只是运行在小型的局域网内部.然而,有很多客观的原因要求我们要修改这些程序以使它们能够运行在一个企业的内部网甚至是国际互联网. 是什么原因迫使我们做呢?首先,随着一个企业的规模逐渐扩大,公司可能会跨地区甚至			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM1A93M.html" rel="bookmark">使用ASP、VB和XML建立运行于互联网上的应用程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|程序|互联网    在个人电脑上使用单机版应用软件的时代很快就要过去了,现在大部分的应用程序都开发出网络版或大都需要共享网络上丰富的数据资源.我们虽然写了很长时间基于客户端/服务器的应用程序,但是这些程序大部分只是运行在小型的局域网内部.然而,有很多客观的原因要求我们要修改这些程序以使它们能够运行在一个企业的内部网甚至是国际互联网. 是什么原因迫使我们做呢?首先,随着一个企业的规模逐渐扩大,公司可能会跨地区甚至跨国经营,每个分公司的员工的数量也会逐年增多,这些在外地的员工肯定需要频繁地访			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My39XJz.html" rel="bookmark">JAVA CAS单点登录之一：搭建CAS服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://dba10g.blog.51cto.com/764602/1753086 前言 这一段时间,心血来潮研究了下CAS这个应用.对它感兴趣,几年前就有过,就是一直没有踏实好好研究,一直是断断续续的纸上谈兵,东看看,西看看.CAS说白了主要涉及权限认证相关,逻辑非常简单.但真正部署起来,也不是一件容易事.我想主要原因如下. 由于知名原因,访问官网非常有难度,系统全面地获取资料非常难,且			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1eAob.html" rel="bookmark">CAS单点登录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 最近做了一个项目,其中有一个模块需要实现的是电话录音功能.所用设备是申瓯通讯的电话录音盒,所有电话都通过此设备,设备里面有他自己的一套管理界面,可以进行电话录音的查询试听下载等.本项目中想实现的电话录音功能要和设备中的管理界面的功能一样,自己重新开发太麻烦.而只简单的做个连接的话又要二次登录,而且登录进去后界面也和本项目的风格不一样,所以现在就想到了CAS单点登录的实现.由于以前没接触过关于单点登录的.在网上找了些源码及小例子.虽然都配置成功了.但又出现个问题,想特此请教各位.问题:在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zePWDNp.html" rel="bookmark">国家地理杂志：中国最大的绿色消费在互联网上</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				国家地理学会执行副总裁泰瑞-贾思雅发表演讲 和讯科技消息 第九届全球网商大会于9月8日~9日在杭州举行,本届大会关注崛起中的电商机遇与挑战.关注在低迷的经济环境中,迅猛发展的网络经济如何破解资金.品牌等难题实现企业的全面升级. 在本次大会上,美国国家地理学会负责&quot;使命计划&quot;的执行副总裁泰瑞.贾思雅(Terry Garcia) 呼吁在场的数千名网商代表号召成为探险家,希望有更多的人关注空气和水的保护,基金乐于提供资助,并盛赞中国绿色消费. 泰瑞.贾思雅在会上表示,美国地理杂志目前有4.5			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mlgy2Vb.html" rel="bookmark">坚持梦想的草根 如何在移动互联网上创业？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				即使市场爆发点没有到来,即使要面临充斥着传统互联网巨头.移动运营商和终端厂商参与竞争的复杂市场格局,移动互联网领域的新创业者仍对未来充满信心. 张云峰喜欢在位于北京建外SOHO的办公室里登录自己与伙伴们在2007年创建的OPDA论坛,与伊朗的90后.英国60多岁的大爷,以及更多的国内年轻人交流.他们共同的标签是:智能手机爱好者.在数次被竞争对手攻击过服务器之后,OPDA终于成长为国内最专业的Symbian论坛之一,这里集中了海量的智能手机软件. 就在去年,张云峰曾作为手机应用软件的开发者代表,和			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boEAXp.html" rel="bookmark" class="title">圈圈-浅谈个人网站发展和赚钱的模式-选择篇</a>
					<div>
						个人网站|赚钱  做站前你要估计你自己的能力适合做什么站,金钱,技术和网络运行方面的知识和你的长期积累的经验有多少,这个是很关键的!我们不去谈那些经济实力很强和那些专业提供技术服务的站点,我所谈的是在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEYJ7b.html" rel="bookmark" class="title">关于汇编div&sol;idiv&sol;mul&sol;imul指令的用法</a>
					<div>
						大家可能深有体会,在使用div/idiv指令时,运行程序常常会莫明其妙的弹出&quot;该程序执行非法操作&quot;的错误,通常是&quot;除法溢出&quot;,但是,你的代码可能如下: mov  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7LYWM.html" rel="bookmark" class="title">让多用户共享Windows Vista日历</a>
					<div>
						作为一个团队管理者,项目的统筹管理是个很大而又让人头痛的学问,如果你的日程涉及到多个公司的多个项目团队,必须让团队成员轻松而又便捷的知道项目的进展规划和近期目标,Vista之家团队也有这 种痛苦,当然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62YgJM.html" rel="bookmark" class="title">笔记本进水了怎么办</a>
					<div>
						大家知道,相同配置的笔记本电脑价格远远要高于台式机,而笔记本电脑的精密程度也非台式电脑可比,因此,一旦进了水,其后果不堪设想.轻则工作不正常,重的,还没有来得及拔掉电源马上就会造成电路短路,烧坏元器件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjlWlp.html" rel="bookmark" class="title">wps2016汉字拼音怎样添加</a>
					<div>
						  word2016该如何给汉字添加拼音呢? 1.打开需要编辑的word文档 2.选中需要添加拼音的文字,然后点击图中文字的&quot;其他选项&quot;然后选择&quot;拼音指南&quot; 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oaB0b.html" rel="bookmark" class="title">Win7系统打开防火墙出错显示0x6D9怎么办</a>
					<div>
						  开启windows系统自带防火墙功能可以防止病毒入侵.提高系统的安全性,之前也介绍过&quot;win7系统防火墙设置方法&quot;但在开启过程中难免会遇到一些问题,最近有用户在win7 64位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywkPdz.html" rel="bookmark" class="title">招聘提问通用题库</a>
					<div>
						http://www.cnitblog.com/zouzheng/articles/21852.html     招聘提问通用题库   类型 序号 问题 测试要点 基本情况 1 请用最简洁的语言描述您 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBkjYz.html" rel="bookmark" class="title">超级网口USR-K3向服务器发送数据时是怎么发的</a>
					<div>
						问题描述 超级网口USR-K3向服务器发送数据时是怎么发的 如题,数据会先发送到哪,服务器从哪里拿到这个值,USR-K3的配置要怎么设才能发送到服务器.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA76XQz.html" rel="bookmark" class="title">因为相同类型的其他实体已具有相同的主键值。在使用 &amp;quot&semi;Attach&amp;quot&semi; 方法或者将实体的状态设置为 &amp;quot&semi;Unchanged&amp;quot&semi; 或 &amp;quot&semi;Modified&amp;quot&semi; 。。。</a>
					<div>
						因为相同类型的其他实体已具有相同的主键值.在使用 &quot;Attach&quot; 方法或者将实体的状态设置为 &quot;Unchanged&quot; 或 &quot;Modified&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7Xv2z.html" rel="bookmark" class="title">《数据库技术原理与应用教程第2版》&mdash;&mdash;2&period;1数据库中的基本概念</a>
					<div>
						第2章 数据库的基础知识 本章将介绍数据库的基础知识,包括基本概念.基本结构.应用平台及特点等.本章内容十分重要,它对全书具有提纲挈领的作用. 2.1数据库中的基本概念 1.数据 (1)数据的概念 数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6lVjz.html" rel="bookmark" class="title">聊天机器人这么火，背后的技术你都知道吗？</a>
					<div>
						近期,挚金资本联合狗尾草智能科技,承办了&quot;人工智能 x 知识图谱&quot;专项论坛.在本文中,深圳狗尾草智能科技公司CTO王昊奋对国内外聊天机器人的发展及背后的技术进行了梳理,也给出了自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxEBmb.html" rel="bookmark" class="title">android-用代码的方式获得屏幕的精确大小尺寸</a>
					<div>
						问题描述 用代码的方式获得屏幕的精确大小尺寸 我使用下面的代码来获得屏幕的大小,但是没有得到正确的值. Display display = ((WindowManager) getSystemServ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKqQ6b.html" rel="bookmark" class="title">第5章&lpar;2&rpar; Java的垃圾回收器</a>
					<div>
						终结处理 Java有垃圾回收器回收无用对象占据的内存资源.但垃圾回收器只知道释放经由new分配的内存,如果用其他的方法获得了一块&quot;特殊&quot;的内存区域,就需要我们自己完成清理工作.Ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKODAz.html" rel="bookmark" class="title">站长不妨换个角度理解SEO</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 搜索引擎就是一个社会 我们把搜索引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M947rXb.html" rel="bookmark" class="title">卡巴迷救星：免费激活码席卷全国</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; &quot;哪位高手提供一下免费卡巴 激活码?急!!!&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRNRmb.html" rel="bookmark" class="title">指针问题-指针和指针之间的赋值</a>
					<div>
						问题描述 指针和指针之间的赋值 #include void test(int *i,int *j){ i=j; } int main(int argc, const char * argv[]) {  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq749az.html" rel="bookmark" class="title">西部大开发23项重点工程今年开工</a>
					<div>
						据新华社 国家发展和改革委员会昨日介绍,国家计划2010年西部大开发新开工23项重点工程,投资总规模为6822亿元,而2000-2009年,西部大开发累计新开工重点工程120项,投资总规模2.2万亿元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR138qb.html" rel="bookmark" class="title">JavaScript Ajax编程 应用篇&lowbar;javascript技巧</a>
					<div>
						一.Ajax  (Asynchronous JavaScript + XML)  能够像服务器请求额外的数据而无需卸载页面,即局部刷新技术二.创建一个XHR对象 function createXHR  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnq28p.html" rel="bookmark" class="title">java N皇后实现问题解析&lowbar;java</a>
					<div>
						N皇后问题是一个典型的约束求解问题,利用递归机制,可以很快的得到结果. N皇后问题的描述: 在一个n*n的棋盘上,摆放n个皇后,要求每个皇后所在行.列.以及两个对角线上不能出现其他的皇后,否则这些皇后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2oy5z.html" rel="bookmark" class="title">isc添加&OpenCurlyDoubleQuote;服务器连接&rdquo;没有反应</a>
					<div>
						问题描述 今天我装了tsm和isc,都装在了一台计算机机上,可是当使用isc添加服务器连接时,竟然没有反应,不知道为什么?请问各位高手谁遇到过这种问题,帮忙解答一下,谢谢,小弟刚刚学tsm,问题比较弱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGr7gep.html" rel="bookmark" class="title">数据结构课设停车场问题</a>
					<div>
						问题描述 数据结构课设停车场问题 #include &quot;stdafx.h&quot; #include &quot;stdio.h&quot; #include &quot;stdlib.h& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYXgob.html" rel="bookmark" class="title">Oracle ASM 翻译系列第十八弹：ASM Internal ASM file number 5</a>
					<div>
						ASM file number 5 本章讲述ASM的5号文件,5号文件是ASM的模板目录,包含了磁盘组中所有的文件模板的信息. 有两种类型的模板:一种是系统自带的,一种是用户创建的,默认的模板(系统自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV72P4b.html" rel="bookmark" class="title">经济学人：全球传媒巨头走上拆分之路</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 北京时间7月15日消息,据&lt;经济学人&gt;报道,近来,传媒产业掀起了分拆热潮,业界多家公司纷纷集中资源,把公司分拆成了&quot;赚钱组&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NY13p.html" rel="bookmark" class="title">EMC CLARiiON 的 Alignment offset</a>
					<div>
						今天参加了 EMC 组织的存储技术培训.因为频繁被电话打扰,导致听课效果并不是那么好.很多内容似曾相识,只是都断断续续的,几乎每次培训都是这样的,总有&quot;断点&quot;. 上午是 CLARi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvv93b.html" rel="bookmark" class="title">可穿戴设备的淘金机会</a>
					<div>
						摘要: Google推出Google Glass之后,可穿戴设备对于互联网技术公司来说就意味着科技感和酷,也意味着巨大的市场空间. 众多厂商都希望未来的网络能附着在人身上,时刻粘着用户.除了眼镜之 G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjo596M.html" rel="bookmark" class="title">Yammer推私人聊天功能 类似中国QQ聊天</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 微软宣布以12亿美元收购Yammer后,近日,据国外媒体报道,企业社交平台Yammer正在测试一项新功能--私人聊天. 这项新功能的推出,可以让Yamm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWQw8z.html" rel="bookmark" class="title">连接MySql速度慢的解决方法&lpar;skip-name-resolve&rpar;&lowbar;Mysql</a>
					<div>
						最近在Linux服务器上安装MySql5后,本地使用客户端连MySql速度超慢,本地程序连接也超慢. 解决方法:在配置文件my.cnf的[mysqld]下加入skip-name-resolve. 原因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWrLZM.html" rel="bookmark" class="title">DSG企业数据库迁移解决方案</a>
					<div>
						随着业务的不断拓展,我们经常需要对系统进行调整,比如:存储系统升级.服务器升级.平台的迁移.数据库版本升级等等,这些情况我们都需要借助数据迁移工作来完成. 在迁移过程中,我们经常会遇到一些很难解决的问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWr48M.html" rel="bookmark" class="title">MYSQL is marked as crashed and should be repaired解决办法</a>
					<div>
						问题分析 错误产生原因,有网友说是频繁查询和更新[数据表]表造成的索引错误,因为我的页面没有静态生成,而是动态页面,因此比较同意这种说法.还有说法为是MYSQL数据库因为某种原因而受到了损坏,如:数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ErNNp.html" rel="bookmark" class="title">谷歌教你用纸箱DIY虚拟现实设备</a>
					<div>
						[TechWeb报道]6月26日消息,据国外媒体报道,在今天的I/O大会上,谷歌给用户展示了如何只用手机,纸箱和手机应用DIY一台廉价的 虚拟现实设备.DIY设备平面图不过在你挽起袖子开工之前,你得准 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
